As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 41893 - hspace and vspace attributes ignored on tables
: hspace and vspace attributes ignored on tables
Status: VERIFIED FIXED
[nsbeta2+]
:
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: Other All
: P3 trivial (vote)
: M18
Assigned To: Marc Attinasi
: Prashant Desale
:
Mentors:
http://www.bsdi.com/news/press/20000607
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-08 00:53 PDT by David Muir Sharnoff
Modified: 2000-07-06 18:26 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
simple example using hspace on floating table (87 bytes, text/html)
2000-06-09 15:54 PDT, karnaze (gone)
no flags Details
patch to fix table portion of the bug (1.42 KB, patch)
2000-06-09 16:43 PDT, karnaze (gone)
no flags Details | Diff | Splinter Review
New patch that maps hspace to style correctly (2.14 KB, patch)
2000-06-09 17:36 PDT, Marc Attinasi
no flags Details | Diff | Splinter Review
New testcase showing hspace and vspace (146 bytes, text/html)
2000-06-12 09:59 PDT, Marc Attinasi
no flags Details
Patch for vspace and hspace support in QuirkMode... (2.81 KB, patch)
2000-06-12 10:06 PDT, Marc Attinasi
no flags Details | Diff | Splinter Review

Description User image David Muir Sharnoff 2000-06-08 00:53:59 PDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD 4.0-STABLE i386; en-US; m15)
BuildID:    2000030708

There's a table used as a left-side navigation bar.
The table specification says "hspace=6".  There is
no horizontal space left between the table and the
text that flows around it.

This (of course) looks different with Netscape 4.73...

Oh, Netscape 6 beta for Linux has the same problem.  Not sure
which version though.




Reproducible: Always
Steps to Reproduce:
1.visit url
2.
3.
Comment 1 User image Asa Dotzler [:asa] 2000-06-08 09:38:50 PDT
confirmed on NT with 060708 moz bits. updating component
Comment 2 User image karnaze (gone) 2000-06-09 15:54:26 PDT
Created attachment 9907 [details]
simple example using hspace on floating table
Comment 3 User image karnaze (gone) 2000-06-09 16:43:00 PDT
Created attachment 9909 [details] [diff] [review]
patch to fix table portion of the bug
Comment 4 User image karnaze (gone) 2000-06-09 16:47:16 PDT
Marc, I've attached a patch that I was hoping would fix the problem. However, 
the MapAttributesInto inside nsHTMLTableElement is losing the hspace attribute 
even though StringToAttribute is setting it.
Comment 5 User image Marc Attinasi 2000-06-09 17:32:40 PDT
Chris, you were so close! GetMappedAttributeImpact has to handle the hspace and 
set the impact hint like it would for height or align or width...

Should we handle vspace as well? Seems like a natural next-bug if we don't 
handle that one now too.
Comment 6 User image Marc Attinasi 2000-06-09 17:36:38 PDT
Created attachment 9913 [details] [diff] [review]
New patch that maps hspace to style correctly
Comment 7 User image karnaze (gone) 2000-06-09 18:57:34 PDT
I didn't do vspace because Buster mentioned that if it goes into margins then 
those vertical margins will collapse whereas vspace may not collapse. But I 
guess it is better to have a bug like that in quirks mode than to not have the 
functionality (assumming that Nav support vspace on tables). So, I guess it is 
probably right to do vspace as well.
Comment 8 User image Marc Attinasi 2000-06-12 09:59:02 PDT
Nav does honor the vspace attribute - I'll add that too, mapped to top and 
bottom margins, and then I'll attach that patch for you to check out.
Comment 9 User image Marc Attinasi 2000-06-12 09:59:29 PDT
Created attachment 9979 [details]
New testcase showing hspace and vspace
Comment 10 User image Marc Attinasi 2000-06-12 10:06:23 PDT
Created attachment 9980 [details] [diff] [review]
Patch for vspace and hspace support in QuirkMode...
Comment 11 User image Marc Attinasi 2000-06-12 15:49:56 PDT
Nominating for nsbeta2: very simple fix: quirk mode only.
Comment 12 User image Peter Trudelle 2000-06-13 13:44:32 PDT
nsbeta2+
Comment 13 User image Marc Attinasi 2000-06-13 16:28:52 PDT
fix is in. (nsHTMLTableElement.cpp)
Comment 14 User image Prashant Desale 2000-07-06 18:26:35 PDT
Verified with 2000-07-05-09.

Note You need to log in before you can comment on or make changes to this bug.